# Scientific Linux CERN 6

!!! danger ""
    If you are about to start using Linux at CERN, please do not start with SLC6, as its EOL (End Of Life) is forecasted later this year. If you are new, please start straight away with [CC7](cc7.md). For more info: [OTG0054345](https://cern.service-now.com/service-portal/view-outage.do?n=OTG0054345)

## A bit of history

Scientific Linux CERN 6 was released in 2010 and will be supported until at least Decembrer 2020.

> Scientific Linux CERN 6 is a Linux distribution built within the framework of Scientific Linux which in turn is rebuilt from the freely available Red Hat Enterprise Linux 6 (Server) product sources under terms and conditions of the Red Hat EULA. Scientific Linux CERN is built to integrate into the CERN computing environment but it is not a site-specific product: all CERN site customizations are optional and can be deactivated for external users.

## Default repositories

Each Red Hat based distribution is shipped with a few default repositories.

At CERN you can list them with :

    ls -l /etc/yum.repos.d/*.repo
    -rw-r--r--. 1 root root 1616 Jun 21  2018 /etc/yum.repos.d/atrpms.repo
    -rw-r--r--. 1 root root 1593 Jun 21  2018 /etc/yum.repos.d/elrepo.repo
    -rw-r--r--. 1 root root 1543 Jun 21  2018 /etc/yum.repos.d/epel.repo
    -rw-r--r--. 1 root root  211 Jun 21  2018 /etc/yum.repos.d/igtfca.repo
    -rw-r--r--. 1 root root  988 Jun 21  2018 /etc/yum.repos.d/rpmforge.repo
    -rw-r--r--. 1 root root  758 Jun 21  2018 /etc/yum.repos.d/slc6-cernonly.repo
    -rw-r--r--. 1 root root  782 Jun 21  2018 /etc/yum.repos.d/slc6-extras.repo
    -rw-r--r--. 1 root root  716 Jun 21  2018 /etc/yum.repos.d/slc6-os.repo
    -rw-r--r--. 1 root root 1531 Jun 21  2018 /etc/yum.repos.d/slc6-rhcommon.repo
    -rw-r--r--. 1 root root  761 Jun 21  2018 /etc/yum.repos.d/slc6-testing.repo
    -rw-r--r--. 1 root root  763 Jun 21  2018 /etc/yum.repos.d/slc6-updates.repo

Those repositories are installed by the `sl-release` rpm package.

    rpm -qf /etc/yum.repos.d/epel.repo
    sl-release-6.10-1.slc6.x86_64

Additional `-release` rpm packages can be found with `yum search release`. On SLC6 we have a small set, while it considerably grew on CC7.

> Please note that on a puppet managed node the repositories are managed by the `osrepos` module, and repo files stored in an alternative directory `/etc/yum-puppet.repos.d/`.

Some details regarding CERN specific repositories:

### The `cernonly` repository

This is a special repository only available inside CERN, it contains proprietary software and tools very CERN specific.

### The `extras` repository

This repository contains all additional software that Linux Support adds to the main distribution. These packages are maintained at CERN.
