# Linux Automated Installation Management Service (aims2client)

## Introduction

`aims2client` is the client-side software for communicating with the Linux Automated Installation Management Service (AIMS2). The client is designed to allow you to register and de-register hosts for PXE installation. You can use the client to register your Kickstart file, Anaconda/Kernel append options and the pxeboot target you wish to use for your installation.

The `aims2client` also allows you to interact with the pxeboot media library displaying information about already uploaded images or uploading your own pxeboot media.

## Quickstart aims2client

Please check the manpage (`man aims2client`) for advanced usage.

The [installation documentation](http://linux.web.cern.ch/linux/install/#aims) will guide you in details.

### List available images

```
# aims2client showimg \*
[...]
CC72_X86_64                   ,x86_64 ,N   ,CERN CENTOS 7.2 X86_64
CC73_X86_64                   ,x86_64 ,Y   ,CERN CENTOS 7.3 X86_64
CC74_X86_64                   ,x86_64 ,Y   ,CERN CENTOS 7.4 X86_64
CC7_X86_64                    ,x86_64 ,Y   ,CERN CENTOS 7 X86_64 (LATEST)
[...]
RHEL_7_3_X86_64               ,x86_64 ,Y   ,RHEL 7 SERVER UPDATE 3 FOR X86_64
RHEL_7_4_X86_64               ,x86_64 ,Y   ,RHEL 7 SERVER UPDATE 4 FOR X86_64
[...]
SLC69_I386                    ,i386   ,N   ,SCIENTIFIC LINUX CERN 6.9 FOR I386 ARCH
SLC69_X86_64                  ,x86_64 ,Y   ,SCIENTIFIC LINUX CERN 6.9 FOR X86_64 ARCH
SLC6X_I386                    ,i386   ,N   ,SCIENTIFIC LINUX CERN 6 LATEST FOR I386 ARCH.
[...]
```

### View image details

```
aims2client showimg CC7_X86_64 --all
-------------------------------------------------------------------------------
Image NAME:                CC7_X86_64
Architecture:              x86_64
UEFI:                      Y
Description:               CERN CENTOS 7 X86_64 (LATEST)
Boot options:              [none]
Authorized groups:         everybody
Kernel source:             /afs/cern.ch/project/linux/cern/centos/7.4/os/x86_64/images/pxeboot/vmlinuz
Kernel size:               5877760 bytes
Kernel MD5 sum:            43a395b89485ec908e6c0622273299c4
Initial RAM disk source:   /afs/cern.ch/project/linux/cern/centos/7.4/os/x86_64/images/pxeboot/initrd.img
Initial RAM disk size:     48434768 bytes
Initial RAM disk MD5 sum:  e46db99b8ccf289fa5f5541fcaeb78b2
Image OWNER:               toulevey
Image uploaded at:         2017/11/09 09:40:48
Synchronized:              Y
-------------------------------------------------------------------------------
```

### Add a host and install latest CC7

Say you want to configure kost `berries01` to boot automatically and be configured with a kickstart file `myfruit.ks`. You would achieve so by doing:

```
aims2 addhost berries01 --kickstart myfruit.ks
```

And setting the Operating System to `CC7_X86_64` as we saw this image (CERN CentOS 7)  was uploaded to AIMS with this name:
```
aims2 pxeon berries01 CC7_X86_64
```

Please note that you kickstart needs to contain a [snippet](http://linux.web.cern.ch/linux/centos7/docs/kickstart-example.ks) to deregister the host, so your installation will not loop.
