# Red Hat Package Manager (RPM)

RPM is a free an open-source package management system. Check [Wikipedia](https://en.wikipedia.org/wiki/RPM_Package_Manager) for a longer description.

## Query

Query all installed packages on your system:

```
$ rpm -qa
```

You might want to grep for a certain string (e.g. "openstack" in this case) to get all related packages:

```
$ rpm -qa | grep openstack
python2-openstacksdk-0.36.1-1.el7.noarch
python-openstackclient-lang-4.0.0-1.el7.noarch
python2-openstackclient-4.0.0-1.el7.noarch
```

In order to show information regarding an installed package:

```
rpm -qi iptables
Name        : iptables
Version     : 1.4.21
Release     : 24.1.el7_5
Architecture: x86_64
Install Date: Wed 30 May 2018 04:29:52 AM CEST
Group       : System Environment/Base
Size        : 1555941
License     : GPLv2
Signature   : RSA/SHA256, Thu 17 May 2018 03:22:05 PM CEST, Key ID 24c6a8a7f4a80eb5
Source RPM  : iptables-1.4.21-24.1.el7_5.src.rpm
Build Date  : Wed 16 May 2018 10:13:52 AM CEST
Build Host  : c1bm.rdu2.centos.org
Relocations : (not relocatable)
Packager    : CentOS BuildSystem <http://bugs.centos.org>
Vendor      : CentOS
URL         : http://www.netfilter.org/
Summary     : Tools for managing Linux kernel packet filtering capabilities
Description :
The iptables utility controls the network packet filtering code in the
Linux kernel. If you need to set up firewalls and/or IP masquerading,
you should install this package.
```

Check installed kernel versions:
```
$ rpm -q kernel
kernel-3.10.0-862.11.6.el7.x86_64
kernel-3.10.0-862.14.4.el7.x86_64
```

Check if a file is part of a package:
```
$ rpm -qf /etc/sysconfig/
iptables-1.4.21-24.1.el7_5.x86_64
```

## Verify

Verifying a package compares information about the installed files in the package with information about the
files taken from the package metadata stored in the rpm database.

```
$rpm -V iptables
..?......  c /etc/sysconfig/ip6tables-config
..?......  c /etc/sysconfig/iptables-config

Help:
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 digest (formerly MD5 sum) differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs
    P caPabilities differ
```

This might be useful, for instance, if you want to check whether you have modified some of the default files installed along a package.

## Install a single package

```
rpm -i myrpm.rpm
```

## Remove a single package

```
rpm -e myrpm
```
